Bug 1374749 - qemu-system-ppc-2.7.0-0.2.rc3.fc25 failed with "qemu: fatal: Unknown MMU model"
Summary: qemu-system-ppc-2.7.0-0.2.rc3.fc25 failed with "qemu: fatal: Unknown MMU model"
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: qemu
Version: 25
Hardware: ppc64le
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Fedora Virtualization Maintainers
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: PPCTracker F25PPCBeta
TreeView+ depends on / blocked
 
Reported: 2016-09-09 14:01 UTC by Menanteau Guy
Modified: 2016-10-22 04:00 UTC (History)
13 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-10-22 04:00:03 UTC


Attachments (Terms of Use)

Description Menanteau Guy 2016-09-09 14:01:58 UTC
I am trying to run last f25 ppc64le qemu (qemu-system-ppc-2.7.0-0.2.rc3.fc25) and it failed with:

qemu: fatal: Unknown MMU model

NIP 0000000000000100   LR 0000000000000000 CTR 0000000000000000 XER 0000000000000000 CPU#0
MSR 8000000000000000 HID0 0000000000000000  HF 8000000000000000 iidx 3 didx 3
TB 00000000 00000000 DECR 00000000
GPR00 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR04 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR08 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR12 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR16 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR20 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR24 0000000000000000 0000000000000000 0000000000000000 0000000000000000
GPR28 0000000000000000 0000000000000000 0000000000000000 0000000000000000
CR 00000000  [ -  -  -  -  -  -  -  -  ]             RES 0000000000000000
FPR00 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR04 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR08 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR12 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR16 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR20 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR24 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPR28 0000000000000000 0000000000000000 0000000000000000 0000000000000000
FPSCR 0000000000000000
 SRR0 0000000000000000  SRR1 0000000000000000    PVR 00000000004b0201 VRSAVE 0000000000000000
SPRG0 0000000000000000 SPRG1 0000000000000000  SPRG2 0000000000000000  SPRG3 0000000000000000
SPRG4 0000000000000000 SPRG5 0000000000000000  SPRG6 0000000000000000  SPRG7 0000000000000000
HSRR0 0000000000000000 HSRR1 0000000000000000
 CFAR 0000000000000000
[ 5392.261033] br0: port 2(tap0) entered disabled state
[ 5392.265196] device tap0 left promiscuous mode
[ 5392.265269] br0: port 2(tap0) entered disabled state
Aborted (core dumped)


It seems corresponding to the following missing patch:
https://patchwork.kernel.org/patch/9240965/

Comment 1 Menanteau Guy 2016-09-14 09:25:18 UTC
Currently, I am able to reproduce this problem only when I try to run a virtual machine in a virtual machine. This problem appears also with libvirt.
Here after are used commands:
/usr/bin/qemu-system-ppc64 -name /root -enable-kvm -M pseries -smp 4 -m 4G -nographic -nodefaults -monitor stdio -serial pty -device virtio-net-pci,netdev=net10051,mac=c0:ff:ee:00:00:51 -netdev bridge,br=br0,id=net10051 -hda /root/hd.qcow2 --cdrom /root/Fedora-Server-dvd-ppc64le-25-Alpha-1.2.iso -S

virt-install --machine pseries --name f25_ppc64le_alpha1.2 --hvm --virt-type kvm --arch ppc64le --boot cdrom,hd --network bridge=virbr0,model=virtio-net-pci,mac=c0:ff:ee:00:00:51 --disk path=/var/lib/libvirt/images/hd.qcow2,size=10,format=qcow2,bus=virtio,cache=none --memory 4096 --vcpus sockets=1,cores=1,threads=1 --cdrom /var/lib/libvirt/images/Fedora-Server-dvd-ppc64le-25-Alpha-1.2.iso

Note: when I try these commands in a host machine (f25 ppc64le) on a baremetal, I hit the following problem:
qemu-system-ppc64: -device virtio-net-pci,netdev=net10051,mac=c0:ff:ee:00:00:51: failed to find romfile "efi-virtio.rom"

Comment 2 Sinny Kumari 2016-09-29 12:47:31 UTC
(In reply to Menanteau Guy from comment #0)
> I am trying to run last f25 ppc64le qemu
> (qemu-system-ppc-2.7.0-0.2.rc3.fc25) and it failed with:
> 
> qemu: fatal: Unknown MMU model
> 

I too saw similar issue in different scenario and found a patch at https://lists.gnu.org/archive/html/qemu-devel/2016-07/msg04879.html. I did a scratch build with mentioned patch which is available at http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3753334 .
Can you please try updating qemu with sub-packages available in this scratch build and see if it fixes the problem? Worked for me.

Comment 3 Menanteau Guy 2016-09-29 15:04:03 UTC
Hi, I tested your qemu (got form your koji link) in same environment as I got the problem and it works fine with your fix. Thanks

Comment 4 Menanteau Guy 2016-10-11 13:03:45 UTC
This problem is still present on fedora 25 Beta 1.2 release with qemu-2.7.0-1

f25 Beta-1.2 ppc64le:
http://ppc.koji.fedoraproject.org/compose/25/Fedora-25-20161010.0/compose/Server/ppc64le/iso/Fedora-Server-dvd-ppc64le-25_Beta-1.2.iso

Comment 5 Cole Robinson 2016-10-14 15:53:30 UTC
dwg, did that patch fall of your radar? I don't see it in qemu.git yet

https://lists.gnu.org/archive/html/qemu-devel/2016-07/msg04879.html

Comment 6 Michael Roth 2016-10-17 21:32:39 UTC
It looks like an alternative patch got pulled in in it's place for 2.8:

[PATCH] ppc/kvm: Mark 64kB page size support as disabled if not available
QEMU currently refuses to start with KVM-PR and only prints out

        qemu: fatal: Unknown MMU model 851972

when being started there. This is because commit 4322e8ced5aaac719
("ppc: Fix 64K pages support in full emulation") introduced a new
POWERPC_MMU_64K bit to indicate support for this page size, but
it never gets cleared on KVM-PR if the host kernel does not support
this. Thus we've got to turn off this bit in the mmu_model for KVM-PR.

Signed-off-by: Thomas Huth <thuth@redhat.com>

Comment 7 Cole Robinson 2016-10-17 21:42:30 UTC
Thanks Michael! That's commit 0d594f5565837fe2886a8aa307ef8abb65eab8f7 , I'll pull it in on the next build

Comment 8 Fedora Update System 2016-10-20 22:56:20 UTC
qemu-2.7.0-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-190e517826

Comment 9 Fedora Update System 2016-10-22 04:00:03 UTC
qemu-2.7.0-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.